Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ParameterObject

All Superinterfaces:
  GraphicalM4Object, M4Data, M4Object

All Known Subinterfaces:
  BaseAttribute, Concept, Feature, MultiColumnFeature, Relation, Value

All Known Implementing Classes:
  BaseAttribute, Concept, Feature, MultiColumnFeature, ParameterObject, Relation, Value

    public interface ParameterObject

extends GraphicalM4Object

Version:
  $Id: ParameterObject.java,v 1.4 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`void` | `addParameterReference(Parameter par)` Informs this object that a `Parameter` references it.
`java.util.Collection` | `getParameterReferences()`
`boolean` | `removeParameterReference(Parameter par)`

Methods inherited from interface edu.udo.cs.miningmart.m4.GraphicalM4Object
`getPoint, setPoint`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### addParameterReference

    void addParameterReference(Parameter par)
                               throws M4Exception

  Informs this object that a `Parameter` references it.

  Parameters:
    `par` - the `Parameter`
  Throws:
    `M4Exception`

### getParameterReferences

    java.util.Collection getParameterReferences()
                                                throws M4Exception

  Returns:
    a `Collection` of all `Parameter`s referencing this object
  Throws:
    `M4Exception`

### removeParameterReference

    boolean removeParameterReference(Parameter par)
                                     throws M4Exception

  Parameters:
    `a` - `Parameter` no longer referencing this object
  Returns:
    `true` if the `Parameter` specified could be removed from the list of referencing `Parameter`s
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005